# coding: utf-8

"""
    VMware Aria Automation Assembler Blueprint API

    A multi-cloud Blueprint API for VMware Aria Automation Services  This page describes the RESTful APIs for Blueprint. The APIs facilitate CRUD operations on the various resources and entities used throughout Blueprint (Blueprints, Blueprint Terraform Integrations , PropertyGroups , etc.) and allow operations on them (creating a Blueprint, creating a Property group, etc.).  The APIs that list collections of resources  also support OData like implementation. Below query params can be used across Blueprint entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/blueprint/api/blueprints?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/blueprint/api/blueprints?$top=10&$skip=2```   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class CommitDetails(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'comments': 'str',
        'author_name': 'str',
        'committer_email': 'str',
        'committer_name': 'str',
        'committed_date': 'datetime',
        'commit_id': 'str'
    }

    attribute_map = {
        'comments': 'comments',
        'author_name': 'authorName',
        'committer_email': 'committerEmail',
        'committer_name': 'committerName',
        'committed_date': 'committedDate',
        'commit_id': 'commitId'
    }

    def __init__(self, comments=None, author_name=None, committer_email=None, committer_name=None, committed_date=None, commit_id=None):  # noqa: E501
        """CommitDetails - a model defined in Swagger"""  # noqa: E501
        self._comments = None
        self._author_name = None
        self._committer_email = None
        self._committer_name = None
        self._committed_date = None
        self._commit_id = None
        self.discriminator = None
        if comments is not None:
            self.comments = comments
        if author_name is not None:
            self.author_name = author_name
        if committer_email is not None:
            self.committer_email = committer_email
        if committer_name is not None:
            self.committer_name = committer_name
        if committed_date is not None:
            self.committed_date = committed_date
        if commit_id is not None:
            self.commit_id = commit_id

    @property
    def comments(self):
        """Gets the comments of this CommitDetails.  # noqa: E501


        :return: The comments of this CommitDetails.  # noqa: E501
        :rtype: str
        """
        return self._comments

    @comments.setter
    def comments(self, comments):
        """Sets the comments of this CommitDetails.


        :param comments: The comments of this CommitDetails.  # noqa: E501
        :type: str
        """

        self._comments = comments

    @property
    def author_name(self):
        """Gets the author_name of this CommitDetails.  # noqa: E501


        :return: The author_name of this CommitDetails.  # noqa: E501
        :rtype: str
        """
        return self._author_name

    @author_name.setter
    def author_name(self, author_name):
        """Sets the author_name of this CommitDetails.


        :param author_name: The author_name of this CommitDetails.  # noqa: E501
        :type: str
        """

        self._author_name = author_name

    @property
    def committer_email(self):
        """Gets the committer_email of this CommitDetails.  # noqa: E501


        :return: The committer_email of this CommitDetails.  # noqa: E501
        :rtype: str
        """
        return self._committer_email

    @committer_email.setter
    def committer_email(self, committer_email):
        """Sets the committer_email of this CommitDetails.


        :param committer_email: The committer_email of this CommitDetails.  # noqa: E501
        :type: str
        """

        self._committer_email = committer_email

    @property
    def committer_name(self):
        """Gets the committer_name of this CommitDetails.  # noqa: E501


        :return: The committer_name of this CommitDetails.  # noqa: E501
        :rtype: str
        """
        return self._committer_name

    @committer_name.setter
    def committer_name(self, committer_name):
        """Sets the committer_name of this CommitDetails.


        :param committer_name: The committer_name of this CommitDetails.  # noqa: E501
        :type: str
        """

        self._committer_name = committer_name

    @property
    def committed_date(self):
        """Gets the committed_date of this CommitDetails.  # noqa: E501


        :return: The committed_date of this CommitDetails.  # noqa: E501
        :rtype: datetime
        """
        return self._committed_date

    @committed_date.setter
    def committed_date(self, committed_date):
        """Sets the committed_date of this CommitDetails.


        :param committed_date: The committed_date of this CommitDetails.  # noqa: E501
        :type: datetime
        """

        self._committed_date = committed_date

    @property
    def commit_id(self):
        """Gets the commit_id of this CommitDetails.  # noqa: E501


        :return: The commit_id of this CommitDetails.  # noqa: E501
        :rtype: str
        """
        return self._commit_id

    @commit_id.setter
    def commit_id(self, commit_id):
        """Sets the commit_id of this CommitDetails.


        :param commit_id: The commit_id of this CommitDetails.  # noqa: E501
        :type: str
        """

        self._commit_id = commit_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(CommitDetails, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, CommitDetails):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
